## node-ldapjs 2.3.3+~cs4.5.6

=== Makefile ===


NPM = npm

JS_FILES	:= $(shell find lib test -name '*.js')

JSL_CONF	 = tools/jsl.node.conf
JSSTYLE_FLAGS	 = -f tools/jsstyle.conf

JSL_EXEC	?= deps/javascriptlint/build/install/jsl
JSSTYLE_EXEC	?= deps/jsstyle/jsstyle
JSL		?= $(JSL_EXEC)
JSSTYLE		?= $(JSSTYLE_EXEC)

.PHONY: install
install:
	$(NPM) install

.PHONY: clean
clean:
	rm -rf node_modules coverage

.PHONY: test
test: install
	$(NPM) test

.PHONY: check
check: $(JSL_EXEC) $(JSSTYLE_EXEC)
	$(JSL) --conf $(JSL_CONF) $(JS_FILES)
	$(JSSTYLE) $(JSSTYLE_FLAGS) $(JS_FILES)

.PHONY: prepush
prepush: check test


$(JSL_EXEC): | deps/javascriptlint/.git
	cd deps/javascriptlint && make install

$(JSSTYLE_EXEC): | deps/jsstyle/.git

.SECONDARY: $($(wildcard deps/*):%=%/.git)

deps/%/.git:
	git submodule update --init deps/$*

=== debian/changelog ===
node-ldapjs (2.3.3+~cs4.5.6-1) unstable; urgency=medium

  * Declare compliance with policy 4.6.1
  * New upstream version 2.3.3+~cs4.5.6

 -- Yadd <yadd@debian.org>  Thu, 09 Jun 2022 09:46:48 +0200

node-ldapjs (2.3.2+~cs4.5.6-1) unstable; urgency=medium

  * Embed typescript declarations and repack

 -- Yadd <yadd@debian.org>  Tue, 08 Mar 2022 06:21:06 +0100

node-ldapjs (2.3.2+~cs2.3.4-1) unstable; urgency=low

  * Initial release (Closes: #902090)

 -- Yadd <yadd@debian.org>  Sun, 27 Feb 2022 17:47:36 +0100

=== debian/control ===
Source: node-ldapjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-asn1 <!nocheck>
 , node-assert-plus <!nocheck>
 , node-backoff <!nocheck>
 , node-once <!nocheck>
 , node-tap <!nocheck>
 , node-tape <!nocheck>
 , node-vasync <!nocheck>
 , node-verror <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-ldapjs
Vcs-Git: https://salsa.debian.org/js-team/node-ldapjs.git
Homepage: http://ldapjs.org
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-ldapjs
Architecture: all
Depends: ${misc:Depends}
 , node-asn1
 , node-assert-plus
 , node-backoff
 , node-once
 , node-vasync
 , node-verror
Suggests: node-dtrace-provider
Provides: ${nodejs:Provides}
Description: LDAP toolbox for Node.js
 LDAPjs makes the LDAP protocol a first class citizen in Node.js. It provides
 both client and server libraries.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-ldapjs-$1/ \
 https://github.com/joyent/node-ldapjs/tags .*?([\d\.]+).tar.gz group

opts=\
component=abstract-logging,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-abstract-logging-$1/ \
 https://github.com/jsumners/abstract-logging/tags .*?([\d\.]+).tar.gz checksum

opts=\
dversionmangle=auto,\
ctype=nodejs,\
component=ldapfilter,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-ldap-filter-$1/ \
 https://github.com/pfmooney/node-ldap-filter/tags .*?([\d\.]+).tar.gz checksum

opts="searchmode=plain,component=types-ldapjs,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-ldapjs-$1/" \
 https://registry.npmjs.org/@types/ldapjs https://registry.npmjs.org/@types/ldapjs/-/ldapjs-([\d\.]+)@ARCHIVE_EXT@ checksum
